libcomps: /build/libcomps/src/libcomps-0.1.18/libcomps/src/comps_doccategory.h File Reference

libcomps ..

Data Structures | Functions
comps_doccategory.h File Reference

COMPS_DocCategory header file. More...

`#include "comps_obj.h"`
`#include "comps_objdict.h"`
`#include "comps_objlist.h"`
`#include "comps_utils.h"`
`#include "comps_docgroupid.h"`
`#include "comps_validate.h"`
`#include "comps_radix.h"`
`#include "comps_log.h"`
`#include "comps_default.h"`
`#include <stddef.h>`
`#include <assert.h>`

Go to the source code of this file.

## Data Structures
struct | COMPS_DocCategory

## Functions
void | comps_doccategory_set_id (COMPS_DocCategory *category, char *id, char copy)
void | comps_doccategory_set_name (COMPS_DocCategory *category, char *name, char copy)
void | comps_doccategory_set_desc (COMPS_DocCategory *category, char *desc, char copy)
void | comps_doccategory_set_display_order (COMPS_DocCategory *category, int display_order, bool unset)
COMPS_Object * | comps_doccategory_get_id (COMPS_DocCategory *category)
COMPS_Object * | comps_doccategory_get_name (COMPS_DocCategory *category)
COMPS_Object * | comps_doccategory_get_desc (COMPS_DocCategory *category)
COMPS_Object * | comps_doccategory_get_display_order (COMPS_DocCategory *category)
COMPS_ObjList * | comps_doccategory_group_ids (COMPS_DocCategory *obj)
void | comps_doccategory_set_group_ids (COMPS_DocCategory *obj, COMPS_ObjList *list)
signed char | comps_doccategory_cmp_u (COMPS_Object *cat1, COMPS_Object *cat2)
void | comps_doccategory_add_groupid (COMPS_DocCategory *cat, COMPS_DocGroupId *gid)
COMPS_DocCategory * | comps_doccategory_union (COMPS_DocCategory *c1, COMPS_DocCategory *c2)
COMPS_DocCategory * | comps_doccategory_intersect (COMPS_DocCategory *c1, COMPS_DocCategory *c2)

## Detailed Description

COMPS_DocCategory header file.

See also
  COMPS_DocCategory properties setters
  COMPS_CategoryGroup properties getters
  COMPS_DocCategory list setters
  COMPS_DocCategory list getters

COMPS_DocCategory object support union operation. Read more about Libcomps objects unioning

## Function Documentation

## ◆ comps_doccategory_add_groupid()

void comps_doccategory_add_groupid | ( | COMPS_DocCategory * | cat,
|  | COMPS_DocGroupId * | gid
| ) |  |

add group_id to group_ids list in category

Parameters

  cat | COMPS_DocCategory object
  gid | COMPS_DocGroupId object

Warning
  COMPS_DocGroupId reference counter isn't incremented

## ◆ comps_doccategory_cmp_u()

signed char comps_doccategory_cmp_u | ( | COMPS_Object * | cat1,
|  | COMPS_Object * | cat2
| ) |  |

COMPS_DocCategory compare callback

Parameters

  cat1 | COMPS_DocCategory object
  cat2 | COMPS_DocCategory object

Returns
  non-zero if objects are equal, otherwise 0

## ◆ comps_doccategory_intersect()

COMPS_DocCategory * comps_doccategory_intersect | ( | COMPS_DocCategory * | c1,
|  | COMPS_DocCategory * | c2
| ) |  |

intersect two categories into one and return new COMPS_DocCategory object

Parameters

  c1 | COMPS_DocCategory object
  c2 | COMPS_DocCategory object

Returns
  new COMPS_DocCategory object

## ◆ comps_doccategory_union()

COMPS_DocCategory * comps_doccategory_union | ( | COMPS_DocCategory * | c1,
|  | COMPS_DocCategory * | c2
| ) |  |

union two categories into one and return new COMPS_DocCategory object

Parameters

  c1 | COMPS_DocCategory object
  c2 | COMPS_DocCategory object

Returns
  new COMPS_DocCategory object